> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hostrox.net/llms.txt
> Use this file to discover all available pages before exploring further.

# List Existing Orders

> View all orders belonging to the reseller via the API

This action lists all orders belonging to the reseller through the API.

## Method / Endpoint

```text theme={null}
POST {{API_URL}}/order/list
```

For Hostrox, the full URL is:

```text theme={null}
POST https://client.hostrox.net/api/reseller/order/list
```

## Request parameters

| Name  | Required | Description |
| ----- | -------- | ----------- |
| `key` | Yes      | API Key     |

## Example cURL request

```bash theme={null}
curl --location 'https://client.hostrox.net/api/reseller/order/list' \
  --header 'Content-Type: application/json' \
  --data '{
    "key": "UzZBSlBWeWk0UEcrVWxlU0RjS1B1dz09"
  }'
```

## Example JSON response

```json theme={null}
{
  "status": "successful",
  "total": 3,
  "data": [
    {
      "id": 3,
      "status": "active",
      "product_type": "hosting",
      "product_id": 33,
      "product_name": "S RESELLER",
      "period_type": "month",
      "period_duration": 1,
      "product_amount": "14.0000",
      "product_amount_f": "$14",
      "currency": "USD",
      "domain": "example123.com",
      "creation_date": "2024-01-27 07:09:50",
      "renewal_date": "2024-01-27 07:09:50",
      "due_date": "2024-02-27 07:09:50"
    },
    {
      "id": 2,
      "status": "active",
      "product_type": "software",
      "product_id": 21,
      "product_name": "Example a Script",
      "period_type": "none",
      "period_duration": 1,
      "product_amount": "99.0000",
      "product_amount_f": "$99",
      "currency": "USD",
      "domain": "newexample.com",
      "creation_date": "2024-01-27 07:04:52",
      "renewal_date": "2024-01-27 07:04:52",
      "due_date": "0000-00-00 00:00:00"
    },
    {
      "id": 1,
      "status": "active",
      "product_type": "hosting",
      "product_id": 15,
      "product_name": "CHEAP SSD 1",
      "period_type": "year",
      "period_duration": 1,
      "product_amount": "5.0000",
      "product_amount_f": "$5",
      "currency": "USD",
      "domain": "example.com",
      "creation_date": "2024-01-27 06:59:22",
      "renewal_date": "2024-01-27 06:59:22",
      "due_date": "2025-01-27 06:59:22"
    }
  ]
}
```
